プロンプトを提案
ブランド情報から、市場の言語でプロンプト候補を作成します。
POST
/
v1
/
monitors
/
suggest
Suggest prompts
curl --request POST \
--url https://api.querying.ai/v1/monitors/suggest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Audio",
"aliases": [
"Acme"
],
"domains": [
"example.com"
],
"competitors": [
{
"name": "Sony"
}
],
"country": "US"
}
'import requests
url = "https://api.querying.ai/v1/monitors/suggest"
payload = {
"name": "Acme Audio",
"aliases": ["Acme"],
"domains": ["example.com"],
"competitors": [{ "name": "Sony" }],
"country": "US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acme Audio',
aliases: ['Acme'],
domains: ['example.com'],
competitors: [{name: 'Sony'}],
country: 'US'
})
};
fetch('https://api.querying.ai/v1/monitors/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/suggest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Audio',
'aliases' => [
'Acme'
],
'domains' => [
'example.com'
],
'competitors' => [
[
'name' => 'Sony'
]
],
'country' => 'US'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/suggest"
payload := strings.NewReader("{\n \"name\": \"Acme Audio\",\n \"aliases\": [\n \"Acme\"\n ],\n \"domains\": [\n \"example.com\"\n ],\n \"competitors\": [\n {\n \"name\": \"Sony\"\n }\n ],\n \"country\": \"US\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.querying.ai/v1/monitors/suggest")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Audio\",\n \"aliases\": [\n \"Acme\"\n ],\n \"domains\": [\n \"example.com\"\n ],\n \"competitors\": [\n {\n \"name\": \"Sony\"\n }\n ],\n \"country\": \"US\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/suggest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Audio\",\n \"aliases\": [\n \"Acme\"\n ],\n \"domains\": [\n \"example.com\"\n ],\n \"competitors\": [\n {\n \"name\": \"Sony\"\n }\n ],\n \"country\": \"US\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"prompts": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "RATE_LIMITED",
"message": "One suggestion at a time — wait a few seconds",
"timestamp": "2026-09-22T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}承認
Your API key, sent as Authorization: Bearer <key>.
ボディ
application/json
The brand facts already known at setup. At least one of name or aliases is required.
An array of strings, or a single newline-separated string (the shape a dashboard textarea submits). Entries are trimmed, blank lines dropped and duplicates removed.
An array of strings, or a single newline-separated string (the shape a dashboard textarea submits). Entries are trimmed, blank lines dropped and duplicates removed.
Names add topical context; only the name part of a Name: alias line is used.
⌘I
Suggest prompts
curl --request POST \
--url https://api.querying.ai/v1/monitors/suggest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Audio",
"aliases": [
"Acme"
],
"domains": [
"example.com"
],
"competitors": [
{
"name": "Sony"
}
],
"country": "US"
}
'import requests
url = "https://api.querying.ai/v1/monitors/suggest"
payload = {
"name": "Acme Audio",
"aliases": ["Acme"],
"domains": ["example.com"],
"competitors": [{ "name": "Sony" }],
"country": "US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acme Audio',
aliases: ['Acme'],
domains: ['example.com'],
competitors: [{name: 'Sony'}],
country: 'US'
})
};
fetch('https://api.querying.ai/v1/monitors/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/suggest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Audio',
'aliases' => [
'Acme'
],
'domains' => [
'example.com'
],
'competitors' => [
[
'name' => 'Sony'
]
],
'country' => 'US'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/suggest"
payload := strings.NewReader("{\n \"name\": \"Acme Audio\",\n \"aliases\": [\n \"Acme\"\n ],\n \"domains\": [\n \"example.com\"\n ],\n \"competitors\": [\n {\n \"name\": \"Sony\"\n }\n ],\n \"country\": \"US\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.querying.ai/v1/monitors/suggest")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Audio\",\n \"aliases\": [\n \"Acme\"\n ],\n \"domains\": [\n \"example.com\"\n ],\n \"competitors\": [\n {\n \"name\": \"Sony\"\n }\n ],\n \"country\": \"US\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/suggest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Audio\",\n \"aliases\": [\n \"Acme\"\n ],\n \"domains\": [\n \"example.com\"\n ],\n \"competitors\": [\n {\n \"name\": \"Sony\"\n }\n ],\n \"country\": \"US\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"prompts": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "RATE_LIMITED",
"message": "One suggestion at a time — wait a few seconds",
"timestamp": "2026-09-22T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}